<?php 

include 'config.php';
include 'db.php';

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;
	
function text_input($data) {
  $data = trim($data);
  $data = stripslashes($data);
  $data = htmlspecialchars($data);
  return $data;
}


function sendAdminMail($email, $name, $subject, $body){
  global $sitemail, $sitename,$siteurl;
  require_once "../PHPMailer/PHPMailer.php";
    require_once '../PHPMailer/Exception.php';
  $mail = new PHPMailer;
  $mail->setFrom($sitemail);
  $mail->FromName = $sitename;
  $mail->addAddress("$email", "$name");
  $mail->isHTML(true);
  $mail->Subject = $subject;
  $mail->Body = $body;
  $send = $mail->send();
  return $send;
}

function sendMail($email, $name, $subject, $body){
	global $sitemail, $sitename,$siteurl;
	
	require_once "../PHPMailer/PHPMailer.php";
    require_once '../PHPMailer/Exception.php';

    $mail = new PHPMailer;
    $mail->setFrom($sitemail);
    $mail->FromName = $sitename;
    $mail->addAddress("$email", "$name");
    $mail->isHTML(true);
    $mail->Subject = $subject;
    $mail->Body = ' <!DOCTYPE html>
    <html lang="en" xmlns="">
    <head>
    <meta charset="utf-8"> 
    <meta name="viewport" content="width=device-width"> 
    <meta http-equiv="X-UA-Compatible" content="IE=edge"> 
    <meta name=""> 
    <link rel="stylesheet" type="text/css" href="mail.css">
    <title></title> 
    </head>
    <body width="100%" style="margin: 0; padding: 0 !important; mso-line-height-rule: exactly; ">
    <center style="width: 100%; ">
      <div style="display: none; font-size: 1px;max-height: 0px; max-width: 0px; opacity: 0; overflow: hidden; mso-hide: all; font-family: sans-serif;">
      &zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;&zwnj;&nbsp;
      </div>
      <div style="max-width: 600px; margin: 0 auto;" class="email-container">

        <table align="center" role="presentation" cellspacing="0" cellpadding="0" border="0" width="100%" style="margin: auto;">
          <tr>
            <td valign="top" class="" style="padding: 1em 2.5em 0 2.5em;">
              <table role="presentation" border="0" cellpadding="0" cellspacing="0" width="100%">
                <tr>
                  <td class="logo" style="text-align: center;">
                    <h1><img src="'.$siteurl.'/logo/logo-light.png"></h1>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td valign="middle" class="hero" style="padding: 2em 0 4em 0;">
              <table>
                <tr>
                  <td>
                    <div class="text" style="color: black; font-size: 17px; padding: 0 2.5em; text-align: justify;">
                      <p>'.$body.'</p>
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td valign="middle" class="hero" style="; ">
              <table>
                <tr>
                  <td>
                    <div class="text" style="color: black; font-weight: bold; padding: 0 2.5em; text-align: center;">
                      <p>'.$sitemail.'. All Rights Reserved</p>
                    </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </div>
    </center>


    </body>
  </html>';
    $send = $mail->send();
    return $send;
}


function customAlert($case, $content){
    switch ($case) {
      case 'success':
        $mesg =  '<div class="alert alert-success solid alert-dismissible fade show">
                  <svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="me-2"><polyline points="9 11 12 14 22 4"></polyline><path d="M21 12v7a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h11"></path></svg>
                  <strong>Success!</strong> '.$content.'.
                  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="btn-close">
                    </button>
                  </div>';
        break;

        case 'error':
          $mesg = '<div class="alert alert-danger alert-dismissible fade show">
                  <svg viewBox="0 0 24 24" width="24" height="24" stroke="currentColor" stroke-width="2" fill="none" stroke-linecap="round" stroke-linejoin="round" class="me-2"><polygon points="7.86 2 16.14 2 22 7.86 22 16.14 16.14 22 7.86 22 2 16.14 2 7.86 7.86 2"></polygon><line x1="15" y1="9" x2="9" y2="15"></line><line x1="9" y1="9" x2="15" y2="15"></line></svg>
                  <strong>Error!</strong> '.$content.'.
                  <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="btn-close">
                  </button>
                </div>';
        break;
      default:
        break;
    }
	return $mesg;
}

function pageRedirect($sec, $route){
  $c = "<meta http-equiv='refresh' Content='".$sec."; url=".$route." ' />";
  return $c;
}


function getRandomStrings() {
    $rnumbs = "0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
    $tnumbs = str_shuffle($rnumbs);
    $tnumbs = substr($tnumbs, 0, 30);
    return $tnumbs;
  }




?>